#
# $Id$
#
# Used if virtual name != real name (perl, ...)
#define srcname	meganizer

Summary:        Organizes books- and music collections of the whole family
#Summary(fr):    french bla-bla

Name:           meganizer
Version:        0.3.1
Release:        0%{dist}
License:        GPLv2
Group:          Applications/Productivity
Url:            http://en.engsas.de/meganizer
Source:         http://ftp.engsas.de/unstable/src/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -u -n)
BuildRequires:	gcc-c++,make,cmake,qt-devel,qca2-devel,xorg-x11-server-Xvfb,xorg-x11-xauth
Requires:      	qt, qt-x11, qt-mysql, qca-ossl

%description
Beside the management of books- and music collections, based on the existing data, Meganizer offers many practical fucntions. So the loaning of medias is as well supported as the management of whishes. The possibility to organize ideas for presents completes the management of new acquisitions. Therefore Meganizer makes all these growing note collections full of whishes and present ideas unnecessary.

%description -l fr
french desc

%prep
%setup -q

%build
cmake -DBUILD_PACKAGE=ON -DL10N_ALL=ON -DWITH_ALL=ON -DBINDINGS_KDE=OFF -DLIB_INSTALL_DIR=%{_libdir} -DCMAKE_INSTALL_PREFIX=/usr
make %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog
%{_bindir}/*
%{_libdir}/*
/usr/share/meganizer/*
/usr/share/pixmaps/*
/usr/share/applications/*
%doc /usr/share/doc/meganizer/*
%doc %{_mandir}/man1/meganizer.1*
%doc %{_mandir}/de/man1/meganizer.de.1*
%doc %{_mandir}/de/man5/meganizer.de.5*
%doc %{_mandir}/man5/meganizer.5*
#%doc INSTALL COPYING README AUTHORS NEWS

%changelog
* Tue Oct 19 2010 EngSaS Mantainer <info@engsas.de> 0.3.1-0
- Updated to 0.3.1
  * Release first stable version
  * EngSaS <meganizer@engsas.de> Fri, 19 Oct 2010 09:30:00

* Sat Oct 16 2010 EngSaS Mantainer <info@engsas.de> 0.3.0-1
- Updated to 0.3.0
  * Fixed all opened bugs
  * All dependency issues should be fixed
  * EngSaS <meganizer@engsas.de> Sat, 16 Oct 2010 17:30:00

* Fri Oct 15 2010 EngSaS Mantainer <info@engsas.de> 0.3.0-1
- Updated to 0.3.0
  * Improved documentation
  * Fixed some bugs in SUSE and Fedora RPM's related to dependencies
  * EngSaS <meganizer@engsas.de> Fri, 15 Oct 2010 17:00:00

* Sat Oct 09 2010 EngSaS Mantainer <info@engsas.de> 0.3.0-1
- Updated to 0.3.0
  * Fixed all relevant packaging issues
  * EngSaS <meganizer@engsas.de> Sat, 09 Oct 2010 17:00:00

* Fri Oct 08 2010 EngSaS Mantainer <info@engsas.de> 0.3.0-1
- Updated to 0.3.0
  * Fixed KDE issues for packaging and building
  * EngSaS <meganizer@engsas.de> Fri, 08 Oct 2010 19:00:00

* Thu Oct 07 2010 EngSaS Mantainer <info@engsas.de> 0.3.0-1
- Updated to 0.3.0
	* Fixed some unkown manpage commands
  * Fixed some control file issues related to description
  * Fixed #118 (Delegates at the results view)
  * Fixed #137 (Meganizer starts in local language)
	* EngSaS <meganizer@engsas.de> Thu, 07 Oct 2010 16:00:00

* Fri Oct 01 2010 EngSaS Mantainer <info@engsas.de> 0.3.0-1
- Updated to 0.3.0
  * Added meganizer with kde support (meganizer-kde) for ubuntu
  * EngSaS <meganizer@engsas.de> Fri, 01 Oct 2010 17:30:00

* Wed Aug 25 2010 EngSaS Mantainer <info@engsas.de> 0.3.0-1
- Updated to 0.3.0
  * Release Meganizer-0.3.0-rc2
  * EngSaS <meganizer@engsas.de> Wed, 25 Aug 2010 17:00:00

* Wed Aug 11 2010 EngSaS Mantainer <info@engsas.de> 0.3.0-1
- Updated to 0.3.0
  * Changed Project-Builder project to maganizer
 -- Joachim Langenbach <joachim.langenbach@engsas.de> Wed, 11 Aug 2010 17:30:00 +0000

* Sat Jul 10 2010 EngSaS Mantainer <info@engsas.de> 0.3.0-1
- Updated to 0.3.0
  * Trying to fix some
    lintian errors
 -- Joachim Langenbach <joachim.langenbach@falaba.de>  Tat, 10 Jul 2010 17:00:00 +0000

* Thu Jul 08 2010 EngSaS Mantainer <info@engsas.de> 0.3.0-1
- Updated to 0.3.0
  * Fixed person issue 
    with same family name
 -- Joachim Langenbach <joachim.langenbach@falaba.de>  Thu, 08 Jul 2010 10:00:00 +0000

* Wed Jul 07 2010 EngSaS Mantainer <info@engsas.de> 0.3.0-1
- Updated to 0.3.0
  * Fixed Genre issue
  * Fixed Column issues
 -- Joachim Langenbach <joachim.langenbach@falaba.de> Wed, 07 Jul 2010 18:00:00 +0000

* Sun Jun 27 2010 EngSaS Mantainer <info@engsas.de> 0.3.0-1
- Updated to 0.3.0
  * Initial release
 -- Joachim Langenbach <joachim.langenbach@falaba.de>  Sat, 26 Jun 2010 15:21:03 +0000



%post
/sbin/ldconfig

%postun
/sbin/ldconfig
